Difference between revisions of "Eagle CAD"

From Bashlinux
Jump to: navigation, search
 
Line 1: Line 1:
 
__NOTOC__
 
__NOTOC__
 +
=== How to install eagle 6.x/7.x on Fedora 21 64-bit ===
 +
* Install the dependencies
 +
# yum -y install libXfixes libXcursor freetype expat fontconfig libXi libXdmcp \
 +
libXrandr libpng libXft libjpeg-turbo libpng-compat openssl-libs
 +
* Link properly the required libraries
 +
# sudo ln -s /usr/lib64/libcrypto.so.1.0.1k /usr/lib64/libcrypto.so.1.0.0
 +
# sudo ln -s /usr/lib64/libssl.so.1.0.1k /usr/lib64/libssl.so.1.0.0
 +
* Install eagle
 +
# ./eagle-lin64-X.y.z.run
 +
 
=== How to install eagle 5.x on Fedora 17 64-bit ===
 
=== How to install eagle 5.x on Fedora 17 64-bit ===
 
For compatibility with Eagle3D, Eagle 5.x must be installed. But before to start, you have to install the 32-bit dependencies:
 
For compatibility with Eagle3D, Eagle 5.x must be installed. But before to start, you have to install the 32-bit dependencies:
Line 10: Line 20:
  
 
Now run eagle installer file:
 
Now run eagle installer file:
  # ./eagle-lin-5.x.x.run
+
  # ./eagle-lin-5.y.z.run
  
 
=== How to install eagle 5.x on Ubuntu 13.04 64-bit ===
 
=== How to install eagle 5.x on Ubuntu 13.04 64-bit ===
Line 17: Line 27:
  
 
Now run eagle installer file:
 
Now run eagle installer file:
  # ./eagle-lin-5.x.x.run
+
  # ./eagle-lin-5.y.z.run

Latest revision as of 23:07, 20 October 2015

How to install eagle 6.x/7.x on Fedora 21 64-bit

  • Install the dependencies
# yum -y install libXfixes libXcursor freetype expat fontconfig libXi libXdmcp \
libXrandr libpng libXft libjpeg-turbo libpng-compat openssl-libs
  • Link properly the required libraries
# sudo ln -s /usr/lib64/libcrypto.so.1.0.1k /usr/lib64/libcrypto.so.1.0.0
# sudo ln -s /usr/lib64/libssl.so.1.0.1k /usr/lib64/libssl.so.1.0.0
  • Install eagle
# ./eagle-lin64-X.y.z.run

How to install eagle 5.x on Fedora 17 64-bit

For compatibility with Eagle3D, Eagle 5.x must be installed. But before to start, you have to install the 32-bit dependencies:


On Fedora 17 and newer versions it should be done as root with:

# yum -y install libXfixes.i686 libXcursor.i686 freetype.i686 \
expat.i686 fontconfig.i686 libXi.i686 libXdmcp.i686 libXrandr.i686 \
libpng.i686 libXft.i686 libjpeg-turbo.i686 libpng-compat.i686

Now run eagle installer file:

# ./eagle-lin-5.y.z.run

How to install eagle 5.x on Ubuntu 13.04 64-bit

First, you need to install 32-bit dependencies as root:

# apt-get install ia32-libs libjpeg62:i386

Now run eagle installer file:

# ./eagle-lin-5.y.z.run